Subject: bug#25666: Screen rendering bug

From: [email-masked]
Date: Sun, 12 Feb 2017 13:59:41 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 12 Feb 2017 12:15:06 -0500
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > I see the same here.  The frame dimensions are not relevant, btw: I
>> > can see this with any dimensions I tried.
>> 
>> Hmm, like the OP, I can't reproduce with an 80x24 terminal.
>
> I believe you because I didn't try with those dimensions ;-)
> The OP started by saying that the frame should be _wider_ than 80
> columns, and my assertion above should have been "the frame width is
> not relevant".

Hmm, I assumed height was relevant and missed the part about width.  But
trying now, I find that I can reproduce the bug with sizes 80x27 and
taller, and also 93x24 and wider.

>> >> It doesn't happen with nlinum-mode, probably because with nlinum-mode
>> >> when the left window scrolls, the margin in the right window is widened
>> >> too.
>> >
>> > I see this with nlinum-mode as well.  My terminal is PuTTY (which
>> > emulates xterm).
>> 
>> Ah, this depends on how high the terminal is.  With an 80x32 terminal I
>> see it with nlinum-mode as well.  I think it's just a question of
>> whether the first scroll reaches high enough line numbers to trigger a
>> margin width adjustment.
>
> Not sure what you mean by that.  In my experiments, the margin starts
> at 3 columns, and stays at 3 columns.  There's no adjustment.

With nlinum-mode it starts at 2 columns for me.  With a terminal 80x49
or higher, it widens before the bug happens.